Bug 998243 - Review Request: nodejs-chai - BDD/TDD assertion library for Node.js and the browser
Review Request: nodejs-chai - BDD/TDD assertion library for Node.js and the b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
Depends On: 998241
Blocks: nodejs-reviews 998244 998246 998247 998248 998249
  Show dependency treegraph
 
Reported: 2013-08-18 11:25 EDT by Tom Hughes
Modified: 2015-01-24 13:44 EST (History)
2 users (show)

See Also:
Fixed In Version: nodejs-chai-1.9.1-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 19:30:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jamielinux: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2013-08-18 11:25:11 EDT
Spec URL: http://download.compton.nu/nodejs/nodejs-chai.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-chai-1.7.2-1.fc19.src.rpm
Fedora Account System Username: tomhughes

Description:
Chai is a BDD / TDD assertion library for node and the browser that
can be delightfully paired with any javascript testing framework.
Comment 1 Tom Hughes 2013-08-18 11:30:06 EDT
Spec URL: http://download.compton.nu/nodejs/nodejs-chai.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-chai-1.7.2-1.fc19.src.rpm
Fedora Account System Username: tomh

Description:
Chai is a BDD / TDD assertion library for node and the browser that
can be delightfully paired with any javascript testing framework.
Comment 2 Jamie Nguyen 2013-08-18 12:08:13 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

nodejs-chai.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript

javascript -> JavaScript

Remove executable bit from dl-tests.sh script.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated". 1 files have
     unknown license. Detailed output of licensecheck in
     /home/mockbuild/review/nodejs-chai/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-chai-1.7.2-1.fc20.noarch.rpm
nodejs-chai.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-chai.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
nodejs-chai.noarch: W: only-non-binary-in-usr-lib
nodejs-chai.noarch: W: dangling-symlink /usr/lib/node_modules/chai/node_modules/assertion-error /usr/lib/node_modules/assertion-error
1 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-chai
nodejs-chai.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-chai.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
nodejs-chai.noarch: W: only-non-binary-in-usr-lib
nodejs-chai.noarch: W: dangling-symlink /usr/lib/node_modules/chai/node_modules/assertion-error /usr/lib/node_modules/assertion-error
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-chai (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(assertion-error)



Provides
--------
nodejs-chai:
    nodejs-chai
    npm(chai)



Source checksums
----------------
http://registry.npmjs.org/chai/-/chai-1.7.2.tgz :
  CHECKSUM(SHA256) this package     : 7d98bd829e5ebf81333ca22796f4daad8e11711b57abfaf0afd9ff778073867d
  CHECKSUM(SHA256) upstream package : 7d98bd829e5ebf81333ca22796f4daad8e11711b57abfaf0afd9ff778073867d


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -r -n nodejs-chai-1.7.2-1.fc19.src.rpm
Comment 3 Jamie Nguyen 2013-08-18 12:08:46 EDT
Assuming above small issues are fixed, package approved!
Comment 4 Tom Hughes 2013-08-18 12:30:05 EDT
New Package SCM Request
=======================
Package Name: nodejs-chai
Short Description: BDD/TDD assertion library for Node.js and the browser
Owners: tomh jamielinux
Branches: f18 f19
InitialCC:
Comment 5 Kevin Fenzi 2013-08-18 15:18:43 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-08-18 19:48:54 EDT
nodejs-chai-passport-strategy-0.1.0-1.fc19,nodejs-chai-1.7.2-1.fc19,nodejs-assertion-error-1.0.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-chai-passport-strategy-0.1.0-1.fc19,nodejs-chai-1.7.2-1.fc19,nodejs-assertion-error-1.0.0-1.fc19
Comment 7 Fedora Update System 2013-08-19 17:27:06 EDT
nodejs-chai-passport-strategy-0.1.0-1.fc19, nodejs-chai-1.7.2-1.fc19, nodejs-assertion-error-1.0.0-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 8 Fedora Update System 2013-08-27 19:30:06 EDT
nodejs-chai-passport-strategy-0.1.0-1.fc19, nodejs-chai-1.7.2-1.fc19, nodejs-assertion-error-1.0.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 9 Fedora Update System 2014-12-27 11:21:29 EST
nodejs-chai-1.9.1-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-chai-1.9.1-2.el7
Comment 10 Fedora Update System 2015-01-24 13:44:37 EST
nodejs-chai-1.9.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.